.icon {
    color: inherit;
    font-size: inherit;
    fill: currentColor;
    width: 1.2em;
    height: 1.2em;
    display: inline-block;
    box-sizing: content-box;
    vertical-align: middle;
    flex-shrink: 0;

    &.xsmall {
        font-size: $font-size-xsmall;

        &.action {
            @include padding(1, 1);
        }
    }

    &.small {
        font-size: $font-size-small;

        &.action {
            @include padding(1, 1);
        }
    }

    &.large {
        font-size: $font-size-large;
    }


    &.xlarge {
        font-size: $font-size-xlarge;
    }

    &.disabled {
        color: $color-input-disabled;
        cursor: not-allowed;
    }

    .checked {
        color: #D9A54C;
        stroke: #FFFFFF;
    }

    &.action {
        @include padding(2, 2);

        &:not(.disabled) {
            cursor: pointer;
            border-radius: $border-radius;

            &:hover {
                //background-color: rgba(0, 0, 0, 0.03);
                background-color: $grey-100;
            }
        }
    }

    &.loading {
        cursor: wait !important;

        &.action {
            &:hover {
                background-color: inherit;
            }
        }
    }
}
